Revoke M2M token

Revokes a Machine-to-Machine (M2M) token to invalidate it.

POST
/service/oauth/revoke

Revokes a Machine-to-Machine (M2M) token to invalidate it.

apikey<token>

Tenant API Key for authentication

In: query

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://TenantName.hub.loginradius.com/service/oauth/revoke" \  -H "Content-Type: application/json" \  -d '{    "client_id": "68106262-3938-4435-87ed-3e410b360209",    "client_secret": "AQvsBHrjOYFNJdvndATLBPoavRZUp1fj4656",    "token": "3976a9391e31d3c1cf854c83f9f65078:90f...",    "token_type_hint": "access_token"  }'
Empty

{
  "error": "invalid_request",
  "error_description": "The access_token is invalid or expired."
}

{
  "error": "invalid_client",
  "error_description": "The client_id is not valid, check your client_id again."
}

{
  "error": "unauthorized_client",
  "error_description": "The client_secret is not valid, check your client_secret again."
}